ข้ามไปยังเนื้อหา

MAGI-1 (Distilled)

ผสานการทำงาน

ID โมเดล magi-distilled
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.32 320 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Sand AI ข้อความเป็นวิดีโอ รวดเร็วสูงสุด 720p #text-to-video

MAGI-1 แบบกลั่นสำหรับแปลงข้อความเป็นวิดีโอ พร้อมเอาต์พุต 480p หรือ 720p และเลือกจำนวนขั้นตอนได้ตั้งแต่ 4 ถึง 32

Sand AI · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

คำสั่งข้อความที่ใช้ควบคุมการสร้างวิดีโอ

resolution ค่าเริ่มต้น 720p

ความละเอียดวิดีโอเอาต์พุต ซึ่งเป็น 480p หรือ 720p

num_inference_steps ค่าเริ่มต้น 16

จำนวนขั้นตอนการสุ่มตัวอย่าง ซึ่งแลกเวลาในการประมวลผลที่นานขึ้นกับคุณภาพที่ดีขึ้นเมื่อเพิ่มจำนวน

aspect_ratio ค่าเริ่มต้น auto

สัดส่วนของวิดีโอที่สร้าง ซึ่งเลือกโดยอัตโนมัติจากรูปภาพอินพุตเมื่อกำหนดเป็น 'auto'

ค่าเริ่มต้น 96

จำนวนเฟรมของเอาต์พุต โดยมีค่าต่ำสุด 96 และค่าสูงสุด 192

ขั้นสูง seed · enable_safety_checker

Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed

POST /run/magi-distilled?wait=20 ใบเสนอราคา → $0.32
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ MAGI-1 (Distilled)

สร้างวิดีโอจาก `prompt` แบบข้อความ `num_frames` อยู่ระหว่าง 96 ถึง 192, `resolution` เป็น 480p หรือ 720p และ `aspect_ratio` สามารถเป็น auto, 16:9, 9:16 หรือ 1:1 `num_inference_steps` รองรับ 4, 8, 16 หรือ 32 ซึ่งเป็นการแลกคุณภาพกับความเร็ว `seed` ช่วยให้สร้างผลลัพธ์ซ้ำได้

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
คำสั่งข้อความที่ใช้ควบคุมการสร้างวิดีโอ
num_framesไม่บังคับ
ประเภทinteger | null
ค่าเริ่มต้น96
96 – 192
จำนวนเฟรมของเอาต์พุต โดยมีค่าต่ำสุด 96 และค่าสูงสุด 192
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed
resolutionไม่บังคับ
ประเภทenum
ค่าเริ่มต้น720p
480p720p
ความละเอียดวิดีโอเอาต์พุต ซึ่งเป็น 480p หรือ 720p
num_inference_stepsไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16
481632
จำนวนขั้นตอนการสุ่มตัวอย่าง ซึ่งแลกเวลาในการประมวลผลที่นานขึ้นกับคุณภาพที่ดีขึ้นเมื่อเพิ่มจำนวน
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สวิตช์ตรวจสอบความปลอดภัย ซึ่งการตั้งค่าเป็นปิดต้องได้รับอนุญาตจากบัญชี หากไม่มีการอนุญาตดังกล่าว ทุกคำขอจะได้รับการตรวจสอบโดยไม่คำนึงถึงการตั้งค่า; true จะเปิดใช้ตัวตรวจสอบ
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
auto16:99:161:1
สัดส่วนของวิดีโอที่สร้าง ซึ่งเลือกโดยอัตโนมัติจากรูปภาพอินพุตเมื่อกำหนดเป็น 'auto'
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "magi-distilled",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 320,
    "usd": "0.32",
    "charged": 320,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}ไฟล์วิดีโอที่สร้างขึ้น
seed
integerค่า Seed ที่ใช้ระหว่างการสร้าง

โมเดลเพิ่มเติม: ข้อความเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/magi-distilled.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt